import numpy as np
from skcomponents.optics.component import OpticalComponent
# from sasktran import Geometry, StokesVector
# from skretrieval.core import OpticalGeometry
# from sasktran import LineOfSight
# import copy


class AftOptics(OpticalComponent):

    def __init__(self, specs):

        """"Applies the transmission of the aft optics"""

        self.specs = specs
        self.transmission = self.specs.TransBack
        self.wavelength = self.specs.spectrum_wavelengths

    def matrix(self, wavelength):
        return np.eye(4) * self.transmission(wavelength)

    def model_radiance(self, radiance):

        return radiance * self.transmission
